commit:     6c770f190951c0ee9c21a82cef1b913e1c7a8599
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 28 17:02:42 2025 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Fri Mar 28 17:08:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c770f19

dev-libs/libisoburn: Fix build with slbitool and add upstream maintainer

Closes: https://bugs.gentoo.org/951709
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>

 .../files/libisoburn-1.5.6_slibtool.patch          | 27 +++++++
 dev-libs/libisoburn/libisoburn-1.5.6-r2.ebuild     | 87 ++++++++++++++++++++++
 dev-libs/libisoburn/metadata.xml                   |  5 ++
 3 files changed, 119 insertions(+)

diff --git a/dev-libs/libisoburn/files/libisoburn-1.5.6_slibtool.patch 
b/dev-libs/libisoburn/files/libisoburn-1.5.6_slibtool.patch
new file mode 100644
index 000000000000..9acef74c0c49
--- /dev/null
+++ b/dev-libs/libisoburn/files/libisoburn-1.5.6_slibtool.patch
@@ -0,0 +1,27 @@
+From 1098709bf4a5177bb9953d5eebeb5fc4f0191676 Mon Sep 17 00:00:00 2001
+From: Thomas Schmitt <[email protected]>
+Date: Mon, 24 Mar 2025 08:54:42 +0100
+Subject: [PATCH] Added to configure.ac explicit checks for stdint.h,
+ inttypes.h, stdlib.h because slibtool does not put them into ./configure by
+ default
+
+---
+ configure.ac             | 4 +++-
+ xorriso/configure_ac.txt | 4 +++-
+ 2 files changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 8828c183..ac3b5fc7 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -97,7 +97,9 @@ AC_SUBST(LIBTOOL_DEPS)
+ 
+ AC_PROG_INSTALL
+ 
+-AC_CHECK_HEADERS()
++dnl GNU libtool checks them by default/unconditionally, but slibtool does not.
++dnl So accept the ugly double check and -DHAVE_*_H arguments with GNU libtool.
++AC_CHECK_HEADERS(stdint.h inttypes.h stdlib.h)
+ 
+ dnl Check for tm_gmtoff field in struct tm
+ AC_CHECK_MEMBER([struct tm.tm_gmtoff],

diff --git a/dev-libs/libisoburn/libisoburn-1.5.6-r2.ebuild 
b/dev-libs/libisoburn/libisoburn-1.5.6-r2.ebuild
new file mode 100644
index 000000000000..a50dca625aa1
--- /dev/null
+++ b/dev-libs/libisoburn/libisoburn-1.5.6-r2.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Creation/expansion of ISO-9660 filesystems on CD/DVD media 
supported by libburn"
+HOMEPAGE="https://dev.lovelyhq.com/libburnia/web/wiki/Libisoburn";
+SRC_URI="https://files.libburnia-project.org/releases/${P}.tar.gz";
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ppc ppc64 ~riscv ~s390 
sparc x86"
+IUSE="acl debug external-filters external-filters-setuid frontend-optional
+       launch-frontend launch-frontend-setuid libedit readline static-libs 
xattr zlib"
+
+REQUIRED_USE="frontend-optional? ( || ( launch-frontend launch-frontend-setuid 
) )"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+RDEPEND="
+       >=dev-libs/libburn-1.5.6
+       >=dev-libs/libisofs-1.5.6
+       readline? ( sys-libs/readline:0= )
+       !readline? (
+               libedit? ( dev-libs/libedit )
+       )
+       acl? ( virtual/acl )
+       xattr? ( sys-apps/attr )
+       zlib? ( sys-libs/zlib )
+       launch-frontend? (
+               dev-lang/tcl:0
+               dev-lang/tk:0
+       )
+       launch-frontend-setuid? (
+               dev-lang/tcl:0
+               dev-lang/tk:0
+       )
+       frontend-optional? ( dev-tcltk/bwidget )
+"
+DEPEND="
+       ${RDEPEND}
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.5.6_slibtool.patch
+)
+
+src_prepare() {
+       default
+
+       # Ancient libtool version in 1.5.6 at least (debian's 2.4.2-1.11)
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static) \
+               $(use_enable readline libreadline) \
+               $(usex readline --disable-libedit $(use_enable libedit)) \
+               $(use_enable acl libacl) \
+               $(use_enable xattr) \
+               $(use_enable zlib) \
+               --disable-libjte \
+               $(use_enable external-filters) \
+               $(use_enable external-filters-setuid) \
+               $(use_enable launch-frontend) \
+               $(use_enable launch-frontend-setuid) \
+               --disable-ldconfig-at-install \
+               --enable-pkg-check-modules \
+               $(use_enable debug)
+}
+
+src_install() {
+       default
+
+       dodoc CONTRIBUTORS doc/{comments,*.wiki,startup_file.txt}
+
+       docinto frontend
+       dodoc frontend/README-tcltk
+       docinto xorriso
+       dodoc xorriso/{changelog.txt,README_gnu_xorriso}
+
+       find "${D}" -name '*.la' -delete || die
+}

diff --git a/dev-libs/libisoburn/metadata.xml b/dev-libs/libisoburn/metadata.xml
index 177faafffae8..f9d59cd757a3 100644
--- a/dev-libs/libisoburn/metadata.xml
+++ b/dev-libs/libisoburn/metadata.xml
@@ -5,6 +5,11 @@
 <email>[email protected]</email>
 <name>Daniel Pielmeier</name>
 </maintainer>
+<maintainer type="person" proxied="yes">
+<email>[email protected]</email>
+<name>Thomas Schmitt</name>
+<description>Upstream - please CC on bugs that concern upstream</description>
+</maintainer>
 <use>
 <flag name="external-filters">Allow the use of external processes as file 
content 
 filters (Note: this is a potential security risk)</flag>

Reply via email to